Skip to main content
`Ctrl`+`K`

# PETSC_VIEWER_PYVISTA_

Creates a PyVista `PetscViewer` shared by all MPI processes in a communicator.

## Synopsis

    #include "petscsys.h"
    PetscViewer PETSC_VIEWER_PYVISTA_(MPI_Comm comm)

Collective

## Input Parameter

- comm - the MPI communicator to share the `PetscViewer`

## Note

Unlike almost all other PETSc routines, `PETSC_VIEWER_PYVISTA_()` does not return an error code. It is usually used in the form .vb XXXView(XXX object, PETSC_VIEWER_PYVISTA_(comm)); .ve

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`

## Level

developer

## Location

src/sys/classes/viewer/impls/pyvista/pyvistaviewer.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages